"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Calendar = void 0;

var React = _interopRequireWildcard(require("react"));

var _dayjs = _interopRequireDefault(require("dayjs"));

var _isBetween = _interopRequireDefault(require("dayjs/plugin/isBetween"));

var _defaultTheme = require("./theme/defaultTheme");

var _ThemeContext = require("./theme/ThemeContext");

var _utils = require("./utils");

var _CalendarContainer = require("./CalendarContainer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

_dayjs.default.extend(_isBetween.default);

function _Calendar({
  theme = _defaultTheme.defaultTheme,
  isRTL,
  ...props
}) {
  const _theme = Object.assign(_defaultTheme.defaultTheme, theme, {
    isRTL
  });

  return /*#__PURE__*/React.createElement(_ThemeContext.ThemeContext.Provider, {
    value: _theme
  }, /*#__PURE__*/React.createElement(_CalendarContainer.CalendarContainer, props));
}

const Calendar = (0, _utils.typedMemo)(_Calendar);
exports.Calendar = Calendar;
//# sourceMappingURL=Calendar.js.map