"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTheme = exports.ThemeContext = void 0;

var _react = require("react");

var _defaultTheme = require("./defaultTheme");

const ThemeContext = /*#__PURE__*/(0, _react.createContext)(_defaultTheme.defaultTheme);
exports.ThemeContext = ThemeContext;

const useTheme = () => {
  const customTheme = (0, _react.useContext)(ThemeContext);

  if (!customTheme) {
    return _defaultTheme.defaultTheme;
  }

  return customTheme;
};

exports.useTheme = useTheme;
//# sourceMappingURL=ThemeContext.js.map