"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Container = require("react-native-simple-elements/components/Container");

var _Modal = _interopRequireDefault(require("react-native-simple-elements/components/Modal"));

var _Surface = _interopRequireDefault(require("react-native-simple-elements/components/Surface"));

var _Text = _interopRequireDefault(require("react-native-simple-elements/components/Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const ResponsiveModal = ({
  innerRef
}) => {
  const [visible, setVisible] = React.useState(false);
  React.useImperativeHandle(innerRef, () => ({
    open: () => {
      setVisible(true);
    },
    close: () => {
      setVisible(false);
    }
  }));

  const _handleDismiss = () => {
    innerRef.current.close();
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Modal.default, {
    visible: visible,
    onDismiss: _handleDismiss
  }, /*#__PURE__*/React.createElement(_Container.FlexResponsiveContainer, null, /*#__PURE__*/React.createElement(_Surface.default, null, /*#__PURE__*/React.createElement(_Text.default, null, "Hello")))));
};

var _default = ResponsiveModal;
exports.default = _default;
//# sourceMappingURL=ResponsiveModal.js.map