import * as React from "react";
import dayjs from "dayjs";
import isBetween from "dayjs/plugin/isBetween";
import { defaultTheme } from "./theme/defaultTheme";
import { ThemeContext } from "./theme/ThemeContext";
import { typedMemo } from "./utils";
import { CalendarContainer } from "./CalendarContainer";
dayjs.extend(isBetween);

function _Calendar({
  theme = defaultTheme,
  isRTL,
  ...props
}) {
  const _theme = Object.assign(defaultTheme, theme, {
    isRTL
  });

  return /*#__PURE__*/React.createElement(ThemeContext.Provider, {
    value: _theme
  }, /*#__PURE__*/React.createElement(CalendarContainer, props));
}

export const Calendar = typedMemo(_Calendar);
//# sourceMappingURL=Calendar.js.map