import dayjs from "dayjs";
import * as React from "react";
import { Text, TouchableOpacity } from "react-native";
import { useTheme } from "./theme/ThemeContext";
import { formatStartEnd } from "./utils";
export function DefaultCalendarEventRenderer({
  touchableOpacityProps,
  event,
  showTime = true,
  textColor,
  ampm
}) {
  const theme = useTheme();
  const eventTimeStyle = {
    fontSize: theme.typography.xs.fontSize,
    color: textColor
  };
  const eventTitleStyle = {
    fontSize: theme.typography.sm.fontSize,
    color: textColor
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, touchableOpacityProps, dayjs(event.end).diff(event.start, "minute") < 32 && showTime ? /*#__PURE__*/React.createElement(Text, {
    style: eventTitleStyle
  }, event.title, ",", /*#__PURE__*/React.createElement(Text, {
    style: eventTimeStyle
  }, dayjs(event.start).format(ampm ? "hh:mm a" : "HH:mm"))) : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, {
    style: eventTitleStyle
  }, event.title), showTime && /*#__PURE__*/React.createElement(Text, {
    style: eventTimeStyle
  }, formatStartEnd(event.start, event.end, ampm ? "h:mm a" : "HH:mm")), event.children && event.children));
}
//# sourceMappingURL=DefaultCalendarEventRenderer.js.map