import * as React from "react";
import { Text, View } from "react-native";
import { u } from "./styles/commonStyles";
import { useTheme } from "./theme/ThemeContext";
import { formatHour } from "./utils";

const _HourGuideColumn = ({
  cellHeight,
  hour,
  ampm
}) => {
  const theme = useTheme();
  const textStyle = React.useMemo(() => ({
    color: theme.palette.gray[500],
    fontSize: theme.typography.xs.fontSize
  }), [theme]);
  return /*#__PURE__*/React.createElement(View, {
    style: {
      height: cellHeight
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: [textStyle, u["text-center"]]
  }, formatHour(hour, ampm)));
};

export const HourGuideColumn = /*#__PURE__*/React.memo(_HourGuideColumn, () => true);
//# sourceMappingURL=HourGuideColumn.js.map