import * as React from "react";
import { FlexResponsiveContainer } from "react-native-simple-elements/components/Container";
import Modal from "react-native-simple-elements/components/Modal";
import Surface from "react-native-simple-elements/components/Surface";
import Text from "react-native-simple-elements/components/Text";

const ResponsiveModal = ({
  innerRef
}) => {
  const [visible, setVisible] = React.useState(false);
  React.useImperativeHandle(innerRef, () => ({
    open: () => {
      setVisible(true);
    },
    close: () => {
      setVisible(false);
    }
  }));

  const _handleDismiss = () => {
    innerRef.current.close();
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Modal, {
    visible: visible,
    onDismiss: _handleDismiss
  }, /*#__PURE__*/React.createElement(FlexResponsiveContainer, null, /*#__PURE__*/React.createElement(Surface, null, /*#__PURE__*/React.createElement(Text, null, "Hello")))));
};

export default ResponsiveModal;
//# sourceMappingURL=ResponsiveModal.js.map