import * as React from "react";
import { StyleProp, TextStyle, ViewStyle } from "react-native";
import AlertDialog from "react-native-simple-elements/components/AlertDialog";
declare type RefProps = {
    open: (opts: any) => void;
    close: () => void;
};
declare type TranslationProps = {
    confirmText: string;
};
declare type Props = Omit<React.ComponentProps<typeof AlertDialog>, "visible" | "onDismiss"> & {
    innerRef: React.RefObject<RefProps>;
    title?: string;
    message?: string;
    translations?: TranslationProps;
    dialogContentStyle?: StyleProp<ViewStyle>;
    messageStyle?: StyleProp<TextStyle>;
};
declare const ErrorDialog: {
    ({ innerRef, children, title, message, translations, dialogContentStyle, messageStyle, ...rest }: Props): JSX.Element;
    defaultProps: {
        translations: {
            confirmText: string;
        };
    };
};
export default ErrorDialog;
