import Rect from "./Rect";
export { Rect };
export declare class Transform {
    scale: any;
    translateX: any;
    translateY: any;
    pivot: any;
    constructor(scale: any, translateX: any, translateY: any, pivot?: any);
}
export declare function fitCenterRect(contentAspectRatio: any, containerRect: any): Rect;
/**
 * The React Native transform system use the center of the view as the pivot when scaling.
 * The translations are applied before scaling.
 * @param rect
 * @param transform
 * @returns {*}
 */
export declare function transformedRect(rect: any, transform: any): any;
/**
 * Calculate the transform from fromRect to toRect
 * @param fromRect
 * @param toRect
 * @returns {Transform}
 */
export declare function getTransform(fromRect: any, toRect: any): Transform;
/**
 * Align edges of the rect with the viewport to avoid unnecessary blank space. NO scaling is performed here.
 * @param rect
 * @param viewPortRect
 * @returns {*|{line, column}|{column, line}|{x}}
 */
export declare function alignedRect(rect: any, viewPortRect: any): any;
export declare function availableTranslateSpace(rect: any, viewPortRect: any): {
    left: number;
    right: number;
    top: number;
    bottom: number;
};
