export declare type MaskItem = string | RegExp | [RegExp];
export declare type MaskArray = Array<MaskItem>;
export declare type Mask = MaskArray | ((value?: string) => MaskArray);
export declare type FormatWithMaskProps = {
    /**
     * Text to be formatted with the mask.
     */
    text?: string;
    /**
     * Mask
     */
    mask?: Mask;
    /**
     * Character to be used on the obfuscated characteres. Defaults to "*"
     */
    obfuscationCharacter?: string;
};
export declare type FormatWithMaskResult = {
    masked: string;
    unmasked: string;
    obfuscated: string;
};
